LinuxQuestions.org
Review your favorite Linux distribution.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - General
User Name
Password
Linux - General This Linux forum is for general Linux questions and discussion.
If it is Linux Related and doesn't seem to fit in any other forum then this is the place.

Notices


Reply
  Search this Thread
Old 06-29-2007, 09:54 AM   #1
mista_tongz
LQ Newbie
 
Registered: Jun 2007
Posts: 2

Rep: Reputation: 0
Unhappy Error on starting up kde after apt-get dist-upgrade


Hi,

I am running debian test version and I recently did an apt-get dist-upgrade and after it had finished, I rebooted my machine and now its starts loading up and gets as far as the pointer then goes back the command line interface. I can go in using startx, but its gnome which starts up. I badly need to sort out KDE, please help.

This is the error which comes up.

#startkde
xsetroot: unable to open display ':0.0'
xset: unable to open display ":0.0"
xsetroot: unable to open display ':0.0'
startkde: Starting up...
xprop: unable to open display ':0.0'
ksplash: cannot connect to X server :0.0
/usr/bin/kdeinit: symbol lookup error: /usr/lib/libkdecore.so.4: undefined symbo l: art_free
startkde: Could not start kdeinit. Check your installation.
Error: Can't open display: :0.0
Warning: connect() failed: : No such file or directory
ksmserver: cannot connect to X server :0.0
ERROR: Couldn't attach to DCOP server!
startkde: Shutting down...
Warning: connect() failed: : No such file or directory
Error: Can't contact kdeinit!
startkde: Running shutdown scripts...
xprop: unable to open display ':0.0'
startkde: Done.
 
Old 06-29-2007, 11:16 AM   #2
Agrouf
Senior Member
 
Registered: Sep 2005
Location: France
Distribution: LFS
Posts: 1,591

Rep: Reputation: 79
try apt-get (aptitude?) install libart
 
Old 07-02-2007, 02:38 AM   #3
mista_tongz
LQ Newbie
 
Registered: Jun 2007
Posts: 2

Original Poster
Rep: Reputation: 0
Hi Agrouf,

Thanks for the reply. I have tried that and I get the following
msg :

Package libarts is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
However the following packages replace it:
libartsc0-dev libartsc0 libarts1c2a libarts1-dev
E: Package libarts has no installation candidate


regards


tongai
 
Old 07-06-2007, 04:34 AM   #4
Agrouf
Senior Member
 
Registered: Sep 2005
Location: France
Distribution: LFS
Posts: 1,591

Rep: Reputation: 79
Install'em all and try.
 
  


Reply

Tags
debian


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
new apt error after dist-upgrade kmoffat Debian 5 04-08-2008 04:44 PM
apt-get dist-upgrade error kaplis Linux - Software 3 07-16-2006 03:15 AM
apt-get dist-upgrade error CGameProgrammer Linux - Newbie 2 10-10-2004 11:14 PM
apt-get dist-upgrade error? southpole.dk Linux - Software 1 06-04-2004 09:29 AM
Error trying to dist-upgrade or upgrade KDE prophet621 Linux - Newbie 0 09-10-2003 04:17 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - General

All times are GMT -5. The time now is 02:34 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration